> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate Configuration

> Create a new configuration by duplicating an existing one.



## OpenAPI

````yaml POST /organizations/{orgId}/configurations/duplicate
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /organizations/{orgId}/configurations/duplicate:
    post:
      summary: Duplicate configuration
      description: Create a new configuration by duplicating an existing one.
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: >-
            The ID of the organization. Locate the orgId under Organization
            Settings > API Keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - configurationId
              properties:
                name:
                  type: string
                  description: New configuration name
                configurationId:
                  type: string
                  description: Unique identifier of the configuration to duplicate
            examples:
              example-request:
                summary: Duplicate a configuration
                value:
                  name: Config v2
                  configurationId: TY8ZiuJoxuy51fsSxXp0
      responses:
        '201':
          description: A configuration summary object
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier of the configuration
                  name:
                    type: string
                    description: Name of the configuration
                  registrationCode:
                    type: string
                    description: >-
                      Configuration code (formerly known as Registration Code)
                      for the configuration. [Learn
                      More](https://help.managexr.com/en/articles/5345978-register-a-device-using-a-registration-code)
                  deviceCount:
                    type: number
                    description: Number of devices using the configuration
              example:
                id: 6qwM6FzJE4o708iqTpWc
                name: Config v2
                registrationCode: f7GbHvH
                deviceCount: 0
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````